Telecom Formatter API

Overview

The Telecom Formatter API uses a POST request with a JSON payload to retrieve a payer sheet claim format record from the Payer Sheet Service and provide records that match the specified criteria.

AttributeValue
MethodPOST
URL/v1/standards-based-messaging/services/payer-sheet-service/telecomFormat/fetch
Content Typeapplication/json
DescriptionRetrieves a claim format record that matches the search criteria

❗️

IMPORTANT

All fields are optional. You only need to supply the field(s) required to identify the target claim format.

Request Details

The request body must be wrapped in a getClaimFormatRequest object.

Request Structure

{
  "getClaimFormatRequest": {
    "code": "string",
    "bin": "string",
    "iin": "string",
    "pcn": "string",
    "groupCode": "string",
    "rems": "string",
    "billingSequence": "string",
    "customer": "string",
    "sourceSystemId": "string",
    "externalMessageId": "string",
    "siteCode": "string",
    "transactionCode": "string",
    "chainID": "string"
  }
}

Request Fields

The following is a list of fields and their associated details within the Request.

FieldTypeMax LengthAllowed ValuesDescription
codestring3Claim format code
binstring6Bank identification number
iinstring8Issuer identification number
pcnstring10Processor control number
groupCodestring15Group code
remsstring1y, n, Y, NREMS indicator
billingSequencestring2Billing sequence
customerstring128Customer name
sourceSystemIdstring30Source system identifier
externalMessageIdstring30External message identifier
siteCodestring80Site code
transactionCodestring2“B1”, “B2", “B3”, “C1”, “C2”, “C3”, “D1”, “E1”, “N1”, “N2”, “N3”, “P1”,
“P2”, “P3”, “P4”, “S1”, “S2”, “S3”
Transaction code
chainIDstring38Chain Identifier

Request Example

{
  "getClaimFormatRequest": {
    "bin": "123456",
    "pcn": "ABCD1234",
    "groupCode": "GRP01"
  }
}

Response Details

The response is wrapped in a getClaimFormatResponse object.

Response Structure

{
  "getClaimFormatResponse": {
    "claimFormat": {
      "billingSequence": "string",
      "bin": "string",
      "chainID": "string",
      "code": "string",
      "customer": "string",
      "description": "string",
      "effectiveDate": "string",
      "expirationDate": "string",
      "externalMessageId": "string",
      "groupCode": "string",
      "iin": "string",
      "pcn": "string",
      "rems": "string",
      "siteCode": "string",
      "sourceSystemId": "string",
      "standard": "string",
      "transmissions": [
        {
          "code": "string",
          "type": "string",
          "standard": "string",
          "segments": [
            {
              "segmentIdentifier": "string",
              "usageCode": "string",
              "sequence": 0,
              "segmentFields": [
                {
                  "fieldIdentifier": "string",
                  "fieldNumber": "string",
                  "description": "string",
                  "fieldDataType": "string",
                  "fieldDataTypeId": 0,
                  "maximumLength": 0,
                  "usageCode": "string",
                  "includeIfNull": false,
                  "fieldType": "string",
                  "mantissaSize": 0,
                  "sequence": 0,
                  "customName": "string",
                  "useIfNull": "string",
                  "customProcessingCode": "string",
                  "fieldGroups": [
                    {
                      "fieldGroupId": 0,
                      "groupCode": "string",
                      "fieldNumber": "string",
                      "fieldIdentifier": "string",
                      "maximumCount": "string"
                    }
                  ],
                  "segmentFieldQualifiers": [
                    {
                      "qualifierCode": "string",
                      "qualifierDescription": "string",
                      "sequence": 0
                    }
                  ]
                }
              ]
            }
          ]
        }
      ]
    }
  }
}

Response Objects and Fields

The following is a list of objects and associated fields within the Response.

claimFormat Object

FieldTypeMax LengthAllowed ValuesDescription
billingSequencestring2Billing sequence
binstring6Bank identification number
chainIDstring38Chain identifier
codestring3Claim format code
customerstring128Customer name
descriptionstring250Description of the claim format
effectiveDatestringEffective date
expriationDatestringExpiration date
externalMessageIdstring30External message identifier uniquely identifying the request
groupCodestring15Group code
iinstring8Issuer identification number
pcnstring10Processor control number
remsstring1y, n, Y, N, nullREMS indicator
siteCodestring80Site code - identifies the Switch
sourceSystemIdstring30Source system identifier
standardstring 2D0Telecom standard
transmissionsarrayList of transmissions (see below)

transmissions Object

FieldTypeMax LengthAllowed ValuesDescription
codestring10Transmission code
typestring50Transmission type
standardstring2D0, F6Telecom standard
segmentsarrayList of segments (see below)

segments Object

FieldTypeMax LengthDescription
segmentIdentifierstring32Segment identifier
usageCodestring10Usage code
sequenceinteger (int32)2Sequence numbers
segmentFieldsarrayList of segment fields (see below)

segmentFields Object

FieldTypeMax LengthDescription
fieldIdentifierstring3Field identifier
fieldNumberstring4Field number
descriptionstring250Description
fieldDataTypestring250Field data type
fieldDataTypeIdinteger (int64)Field data type identifier
maximumLengthinteger (int32)3Maximum allowed length of the field value
usageCodestring10Usage code
includeIfNullbooleanWhether to include this field when value is null
fieldTypestring1Field type
mantissaSizeinteger (int32)Mantissa size for numeric fields
sequenceinteger (int32)2Sequence number
customNamestring250Custom display name for the field
useIfNullstring250Value to use when the field value is null
customProcessingCodestring10Custom processing code
fieldGroupsarrayList of field groups (see below)
segmentFieldQualifiersarrayList of segment field qualifiers (see below)

fieldGroups Object

FieldTypeMax LengthDescription
fieldGroupIdinteger (int64)2Field group identifier
groupCodestringGroup code
fieldNumberstring4Field number
fieldIdentifierstring3Field identifier
maximumCountstring2Maximum count

segmentFieldQualifiers Object

FieldTypeMax LengthDescription
qualifierCodestring10Qualifier code
qualifierDescriptionstring250Qualifier description
sequenceinteger (int32)2Sequence numbers

Request and Response Example

{
  "getClaimFormatRequest": {
    "bin": "123456",
    "pcn": "ABCD1234",
    "groupCode": "GRP01",
    "rems": "N"
  }
}
{
  "getClaimFormatResponse": {
    "claimFormat": {
      "billingSequence": "01",
      "bin": "123456",
      "chainID": null,
      "code": "D01",
      "customer": "Customer Pharmacy Name",
      "description": "Standard D0 claim format",
      "effectiveDate": "2024-01-01",
      "expirationDate": "2099-12-31",
      "externalMessageId": null,
      "groupCode": "GRP01",
      "iin": null,
      "pcn": "ABCD1234",
      "rems": "N",
      "siteCode": null,
      "sourceSystemId": "SYS01",
      "standard": "D0",
      "transmissions": [
        {
          "code": "B1",
          "type": "NCPDP",
          "standard": "D0",
          "segments": [
            {
              "segmentIdentifier": "AM",
              "usageCode": "M",
              "sequence": 1,
              "segmentFields": [
                {
                  "fieldIdentifier": "AM",
                  "fieldNumber": "101",
                  "description": "Version/Release Number",
                  "fieldDataType": "AN",
                  "fieldDataTypeId": 1,
                  "maximumLength": 2,
                  "usageCode": "M",
                  "includeIfNull": false,
                  "fieldType": "A",
                  "mantissaSize": 0,
                  "sequence": 1,
                  "customName": null,
                  "useIfNull": null,
                  "customProcessingCode": null,
                  "fieldGroups": [],
                  "segmentFieldQualifiers": []
                }
              ]
            }
          ]
        }
      ]
    }
  }
}